tt_message_op_set(library call)

NAME
tt_message_op_set — set the operation attribute for a message

SYNOPSIS

#include &<Tt/tt_c.h>
Tt_status tt_message_op_set(
Tt_message m,
const char *opname);

DESCRIPTION

The tt_message_op_set function sets the operation attribute for the specified message.

The m argument is the opaque handle for the message involved in this operation. The opname argument is the operation that the receiving process is to perform.

RETURN VALUE

Upon successful completion, the tt_message_op_set function returns the status of the operation as one of the following Tt_status values:

TT_OK
    The operation completed successfully.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_POINTER
    The pointer passed does not point to an object of the correct type for this operation.

SEE ALSO

Tt/tt_c.h - Tttt_c(5).